Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

## Class PaymentInstructionInformation5

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_01.PaymentInstructionInformation5

    public class PaymentInstructionInformation5
    extends java.lang.Object

Java class for PaymentInstructionInformation5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentInstructionInformation5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtInfId" type="{urn:sepade:xsd:pain.008.001.01}Max35Text" minOccurs="0"/>
             <element name="PmtMtd" type="{urn:sepade:xsd:pain.008.001.01}PaymentMethod2Code"/>
             <element name="PmtTpInf" type="{urn:sepade:xsd:pain.008.001.01}PaymentTypeInformation8"/>
             <element name="ReqdColltnDt" type="{urn:sepade:xsd:pain.008.001.01}ISODate"/>
             <element name="Cdtr" type="{urn:sepade:xsd:pain.008.001.01}PartyIdentification22"/>
             <element name="CdtrAcct" type="{urn:sepade:xsd:pain.008.001.01}CashAccount8"/>
             <element name="CdtrAgt" type="{urn:sepade:xsd:pain.008.001.01}FinancialInstitution2"/>
             <element name="ChrgBr" type="{urn:sepade:xsd:pain.008.001.01}ChargeBearerType2Code"/>
             <element name="DrctDbtTxInf" type="{urn:sepade:xsd:pain.008.001.01}DirectDebitTransactionInformation2" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartyIdentification22` `cdtr`
`protected CashAccount8` `cdtrAcct`
`protected FinancialInstitution2` `cdtrAgt`
`protected ChargeBearerType2Code` `chrgBr`
`protected java.util.List<DirectDebitTransactionInformation2>` `drctDbtTxInf`
`protected java.lang.String` `pmtInfId`
`protected PaymentMethod2Code` `pmtMtd`
`protected PaymentTypeInformation8` `pmtTpInf`
`protected javax.xml.datatype.XMLGregorianCalendar` `reqdColltnDt`

### Constructor Summary

Constructors
`PaymentInstructionInformation5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartyIdentification22` `getCdtr()` Gets the value of the cdtr property.
`CashAccount8` `getCdtrAcct()` Gets the value of the cdtrAcct property.
`FinancialInstitution2` `getCdtrAgt()` Gets the value of the cdtrAgt property.
`ChargeBearerType2Code` `getChrgBr()` Gets the value of the chrgBr property.
`java.util.List<DirectDebitTransactionInformation2>` `getDrctDbtTxInf()` Gets the value of the drctDbtTxInf property.
`java.lang.String` `getPmtInfId()` Gets the value of the pmtInfId property.
`PaymentMethod2Code` `getPmtMtd()` Gets the value of the pmtMtd property.
`PaymentTypeInformation8` `getPmtTpInf()` Gets the value of the pmtTpInf property.
`javax.xml.datatype.XMLGregorianCalendar` `getReqdColltnDt()` Gets the value of the reqdColltnDt property.
`void` `setCdtr​(PartyIdentification22 value)` Sets the value of the cdtr property.
`void` `setCdtrAcct​(CashAccount8 value)` Sets the value of the cdtrAcct property.
`void` `setCdtrAgt​(FinancialInstitution2 value)` Sets the value of the cdtrAgt property.
`void` `setChrgBr​(ChargeBearerType2Code value)` Sets the value of the chrgBr property.
`void` `setPmtInfId​(java.lang.String value)` Sets the value of the pmtInfId property.
`void` `setPmtMtd​(PaymentMethod2Code value)` Sets the value of the pmtMtd property.
`void` `setPmtTpInf​(PaymentTypeInformation8 value)` Sets the value of the pmtTpInf property.
`void` `setReqdColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the reqdColltnDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pmtInfId

    protected java.lang.String pmtInfId

#### pmtMtd

    protected PaymentMethod2Code pmtMtd

#### pmtTpInf

    protected PaymentTypeInformation8 pmtTpInf

#### reqdColltnDt

    protected javax.xml.datatype.XMLGregorianCalendar reqdColltnDt

#### cdtr

    protected PartyIdentification22 cdtr

#### cdtrAcct

    protected CashAccount8 cdtrAcct

#### cdtrAgt

    protected FinancialInstitution2 cdtrAgt

#### chrgBr

    protected ChargeBearerType2Code chrgBr

#### drctDbtTxInf

    protected java.util.List<DirectDebitTransactionInformation2> drctDbtTxInf

### Constructor Detail

#### PaymentInstructionInformation5

    public PaymentInstructionInformation5()

### Method Detail

#### getPmtInfId

    public java.lang.String getPmtInfId()

Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

#### setPmtInfId

    public void setPmtInfId​(java.lang.String value)

Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

#### getPmtMtd

    public PaymentMethod2Code getPmtMtd()

Gets the value of the pmtMtd property.

Returns:
  possible object is `PaymentMethod2Code`

#### setPmtMtd

    public void setPmtMtd​(PaymentMethod2Code value)

Sets the value of the pmtMtd property.

Parameters:
  `value` - allowed object is `PaymentMethod2Code`

#### getPmtTpInf

    public PaymentTypeInformation8 getPmtTpInf()

Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformation8`

#### setPmtTpInf

    public void setPmtTpInf​(PaymentTypeInformation8 value)

Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformation8`

#### getReqdColltnDt

    public javax.xml.datatype.XMLGregorianCalendar getReqdColltnDt()

Gets the value of the reqdColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setReqdColltnDt

    public void setReqdColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the reqdColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getCdtr

    public PartyIdentification22 getCdtr()

Gets the value of the cdtr property.

Returns:
  possible object is `PartyIdentification22`

#### setCdtr

    public void setCdtr​(PartyIdentification22 value)

Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `PartyIdentification22`

#### getCdtrAcct

    public CashAccount8 getCdtrAcct()

Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccount8`

#### setCdtrAcct

    public void setCdtrAcct​(CashAccount8 value)

Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount8`

#### getCdtrAgt

    public FinancialInstitution2 getCdtrAgt()

Gets the value of the cdtrAgt property.

Returns:
  possible object is `FinancialInstitution2`

#### setCdtrAgt

    public void setCdtrAgt​(FinancialInstitution2 value)

Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `FinancialInstitution2`

#### getChrgBr

    public ChargeBearerType2Code getChrgBr()

Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerType2Code`

#### setChrgBr

    public void setChrgBr​(ChargeBearerType2Code value)

Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerType2Code`

#### getDrctDbtTxInf

    public java.util.List<DirectDebitTransactionInformation2> getDrctDbtTxInf()

Gets the value of the drctDbtTxInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the drctDbtTxInf property.

For example, to add a new item, do as follows:

        getDrctDbtTxInf().add(newItem);

Objects of the following type(s) are allowed in the list `DirectDebitTransactionInformation2`